package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.MemberPoint;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.MemberPointMapper")
public interface MemberPointMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(MemberPoint record);

    MemberPoint selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(MemberPoint record);

    List<MemberPoint> queryAllMemberPoint(MemberPoint record);

    List<MemberPoint> queryMemberPointByPage(Map<String, Object> parameter);

    int delete(String id);

    MemberPoint queryMemberPoint(MemberPoint record);

    List<MemberPoint> query(MemberPoint record);
}

